﻿@using WebApplication_StudentManagement_PrizeTest.Models;
@model IEnumerable<CourseViewModel>
@{
    ViewBag.Title = "Course";
}
<hr />
<h4>Capture Course</h4>
<div id="CoursePartialViewDiv">
    @Html.Action("Create", "Course")
</div>
<hr />
<h4>Courses</h4>
   
    <table class="table table-bordered" cellpadding="0" cellspacing="0" id="CourseGrid">
        <tr>
            <th>Course Id</th>
            <th>Course Name</th>
            <th>Start Date</th>
            <th>EndDate</th>
        </tr>
        @foreach (CourseViewModel course in Model)
        {
            <tr>
                <td>@course.CourseId</td>
                <td>@course.CourseName</td>
                <td>@string.Format("{0:dd-MMM-yyyy}", course.StartDate)</td>
                <td>@string.Format("{0:dd-MMM-yyyy}", course.EndDate)</td>
            </tr>
        }
    </table>
<div>
    @Html.ActionLink("Back", "Index", "Home")
</div>

<script>
    function onAddCourseAdded_callback(args)
    {
        if (args.success) {
            window.location.reload();
        }
        AjaxOnSuccess(args);
    }
</script>

   